Subject: bug#60607: Making dvi target do nothing

From: Reuben Thomas <[email-masked]>
Date: Sat, 7 Jan 2023 12:50:03 +0100

On Sat, 7 Jan 2023 at 08:46, Nick Bowler <[email-masked]> wrote:

>
> This example in the manual is talking about writing a custom
> Makefile, *without* using Automake, that you want to recurse
> into using Automake's SUBDIRS feature.
>

Aha! Thanks for pointing this out. I think the manual is misleading in
another place, because I got to this section via this cross-reference:

   To make ‘dvi’ into a do-nothing target, see the example for
‘EMPTY_AUTOMAKE_TARGETS’ in *note Third-Party Makefiles::.

This is in the section "dvi and distcheck", which AFAICT is about
Makefile.am, not third-party Makefiles.

> If I instead have:
> >
> > dvi:
> >
> > then it is not.
>
> This is right way to override the dvi target that would
> otherwise be generated by Automake.
>

So it seems that this is what the section "dvi and distcheck" should advise.

-- 
https://rrt.sc3d.org